Priority: Normal Due date:  
Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

In order to restore the VO scopes previously removed, it's needed to add the VO scopes to the following CkanConnector instances:

ckan-sobigdata2.d4science.org (SoBigData scope)

ckan-iotc.d4science.org (D4Research scope)

ckan-d4s.d4science.org (D4Research scope)

Related issues:

Related to D4Science Infrastructure - Task #10861: Remove VO scopes  from all... Closed Jan 10, 2018

History

#1 - Feb 14, 2018 02:40 PM - Roberto Cirillo

- Related to Task #10861: Remove VO scopes  from all CKanConnector instances added

#2 - Feb 14, 2018 04:59 PM - Roberto Cirillo

The ckan-iotc.d4science.org instance has been dismissed some time ago

#3 - Feb 14, 2018 05:15 PM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 0 to 50

Added the following VO scopes to the ansible playbook:

D4Research scope on ckan-d4s.d4science.org

SoBigData scope on ckan-sobigdata2.d4science.org

gCubeApps, D4Research and FARM scopes to ckan-d4s.d4science.org

I need to restart the containers above in order to make available these new settings.

#4 - Feb 21, 2018 04:24 PM - Pasquale Pagano

i don't know why you need to add the VO scope but it is strange that to ckan-d4s that is global you are not adding SoBigData too. 

#5 - Feb 21, 2018 05:24 PM - Roberto Cirillo

Without VO scopes it's not possible to add dinamycally a VRE scope to a CkanConnector,  I want to restore the same situation before #10861 but of

course I could add all the VO scope ( and keys) to ckan-d4s instance.

#6 - Feb 21, 2018 06:29 PM - Roberto Cirillo

Added SoBigData scope to ckan-sobigdata2.d4science.or

#7 - Feb 21, 2018 06:46 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Francesco Mangiacrapa

- % Done changed from 50 to 100

Added D4Research to ckan-d4s.d4science.org.

Please @francesco.mangiacrapa@isti.cnr.it could you check if are working properly?
#8 - Feb 22, 2018 03:29 PM - Francesco Mangiacrapa

- Status changed from Feedback to Closed

I checked several instances of Catalogue in the above different VRE's and all seems work fine.

I'm going to close this ticket
